Get placement server
curl --request GET \
--url https://reservation.nks.europe-west4.nscale.com/api/v2/placements/{placementID}/servers/{serverID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://reservation.nks.europe-west4.nscale.com/api/v2/placements/{placementID}/servers/{serverID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://reservation.nks.europe-west4.nscale.com/api/v2/placements/{placementID}/servers/{serverID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"id": "psrv-7f3d9d5d2a7c4e32",
"name": "training-workers-0",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2026-04-28T11:04:00Z",
"createdBy": "john.doe@example.com",
"provisioningStatus": "provisioned",
"healthStatus": "healthy"
},
"status": {
"regionId": "c7568e2d-f9ab-453d-9a3a-51375f78426b",
"reservationId": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
"placementId": "b8ce034e-fccb-4d6c-a0e0-af3e3f346715",
"networkId": "61f0ad85-3001-41cb-824a-e6a047668dfe",
"powerState": "Running",
"privateIP": "10.0.0.12",
"publicIP": "203.0.113.12",
"macAddress": "fa:16:3e:7c:11:8a"
}
}{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "not_found",
"error_description": "the requested resource does not exist",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Placement Servers
Get placement server
Get a placement server.
GET
/
api
/
v2
/
placements
/
{placementID}
/
servers
/
{serverID}
Get placement server
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The placement ID. A Kubernetes name. Must be a valid DNS label containing only lower case characters, numbers or hyphens, start and end with a character or number, and be at most 63 characters in length.
Required string length:
1 - 63The public Placement server ID. An opaque public Placement server ID.
Required string length:
1 - 128Was this page helpful?
⌘I